Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.impl.jsr168.metadata
Class PortletApplicationMetaData

    java.lang.Object
      org.jboss.portal.portlet.impl.jsr168.metadata.PortletApplicationMetaData

    public class PortletApplicationMetaData

extends java.lang.Object

Version:
  $Revision: 5448 $
Author:
  Julien Viet

Constructor Summary
`PortletApplicationMetaData()`

Method Summary
`void` | `addPortlet(PortletMetaData portlet)`
`java.lang.String` | `getId()`
`PortletMetaData` | `getPortlet(java.lang.String id)`
`java.util.Map` | `getPortletModes()`
`java.util.Collection` | `getPortlets()`
`java.util.Map` | `getUserAttributes()`
`java.lang.String` | `getVersion()`
`java.util.Map` | `getWindowStates()`
`void` | `setId(java.lang.String id)`
`void` | `setVersion(java.lang.String version)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PortletApplicationMetaData

    public PortletApplicationMetaData()

Method Detail

### getId

    public java.lang.String getId()

### setId

    public void setId(java.lang.String id)

### getVersion

    public java.lang.String getVersion()

### setVersion

    public void setVersion(java.lang.String version)

### getPortletModes

    public java.util.Map getPortletModes()

### getWindowStates

    public java.util.Map getWindowStates()

### getUserAttributes

    public java.util.Map getUserAttributes()

### addPortlet

    public void addPortlet(PortletMetaData portlet)

### getPortlet

    public PortletMetaData getPortlet(java.lang.String id)

### getPortlets

    public java.util.Collection getPortlets()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD